// allData.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

namespace dgme.finances.gouv.fr.presto
{
    [System.Xml.Serialization.XmlTypeAttribute(Namespace = "http://dgme.finances.gouv.fr/prototype")]
    public partial class allData
    {
        private allDataIntStrElement intStrElementField;
        private byte[] binaryElementField;
        private object anyElementField;
        [System.Xml.Serialization.XmlElementAttribute(Order = 0)]
        public allDataIntStrElement intStrElement
        {
            get
            {
                return this.intStrElementField;
            }
            set
            {
                this.intStrElementField = value;
            }
        }
        [System.Xml.Serialization.XmlElementAttribute(DataType = "base64Binary", Order = 1)]
        public byte[] binaryElement
        {
            get
            {
                return this.binaryElementField;
            }
            set
            {
                this.binaryElementField = value;
            }
        }
        [System.Xml.Serialization.XmlElementAttribute(Order = 2)]
        public object anyElement
        {
            get
            {
                return this.anyElementField;
            }
            set
            {
                this.anyElementField = value;
            }
        }
    }

    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    public partial class allDataIntStrElement
    {
        private string intElementField;
        private string strElementField;
        [System.Xml.Serialization.XmlElementAttribute(DataType = "integer", Order = 0)]
        public string intElement
        {
            get
            {
                return this.intElementField;
            }
            set
            {
                this.intElementField = value;
            }
        }
        [System.Xml.Serialization.XmlElementAttribute(Order = 1)]
        public string strElement
        {
            get
            {
                return this.strElementField;
            }
            set
            {
                this.strElementField = value;
            }
        }
    }
}